//************************************************************************
// PIC16C765.cpp
//
// 
//
// Tested with W98 only ! Don't know if NT,W2k or XP is working too.
//
//
// hk@holger-klabunde.de
// www.holger-klabunde.de
// 31.12.2003
// Compiler Visual C++ V5.0
//************************************************************************
#include <windows.h>
#include <stdio.h>
#include <string.h>
#include <stdlib.h>

#include "hiddll.h"
#include "setupapidll.h"
#include "picio.h"

void usage();

#define version "V0.01"

char zeile[1024]="";

//#############################################################
int main(int argc, char *argv[])
//#############################################################
{
 int result,i;
 unsigned char by,by1;
 unsigned int pwm;

 result=0;

 fprintf(stdout,"\n***********************************\n");
 fprintf(stdout,"***   PIC16C765 Demo %s      ***\n",version);
 fprintf(stdout,"***   Holger Klabunde          ***\n");
 fprintf(stdout,"***   Last change: 02.04.2004  ***\n");
 fprintf(stdout,"**********************************\n\n");

/*
 if(argc<2) //no filename
  {
   usage();
   return 1;
  }
*/

//search for the PIC16C765 by VID and PID 
 result=FindHIDDevice(MY_VID , MY_PID);
 if(result)
  {
   //PIC16C765 found and ready for USB read/write operations

// WriteTris() you can use PORTx or TRISx as parameter
   WriteTris(TRISB,ALL_OUTPUTS);
   WriteTris(PORTD,ALL_OUTPUTS);

// Walking LED on PORTB and PORTD if you connect 8 LED's
   for(i=0; i<8; i++)
    {
     WritePicPort(PORTB, (unsigned char)(1<<i));
     WritePicPort(PORTD, (unsigned char)(1<<i));
     Sleep(100);
    }//for i

// ReadTris() you can use PORTx or TRISx as parameter
   by=ReadPicPort(PORTA); by1=ReadTris(PORTA); fprintf(stdout,"PORTA: 0x%02X  TRISA: 0x%02X\n",by,by1);
   by=ReadPicPort(PORTB); by1=ReadTris(TRISB); fprintf(stdout,"PORTB: 0x%02X  TRISB: 0x%02X\n",by,by1);
   by=ReadPicPort(PORTC); by1=ReadTris(PORTC); fprintf(stdout,"PORTC: 0x%02X  TRISC: 0x%02X\n",by,by1);
   by=ReadPicPort(PORTD); by1=ReadTris(TRISD); fprintf(stdout,"PORTD: 0x%02X  TRISD: 0x%02X\n",by,by1);
   by=ReadPicPort(PORTE); by1=ReadTris(TRISE); fprintf(stdout,"PORTE: 0x%02X  TRISE: 0x%02X\n",by,by1);
   fprintf(stdout,"\n");


// ReadADC() you can use ANx or ADx as parameter
   by=ReadADC(AN0); fprintf(stdout,"AD0: 0x%02X\n",by);
   by=ReadADC(AD1); fprintf(stdout,"AD1: 0x%02X\n",by);
   by=ReadADC(AN2); fprintf(stdout,"AD2: 0x%02X\n",by);
   by=ReadADC(AD3); fprintf(stdout,"AD3: 0x%02X\n",by);
   by=ReadADC(AN4); fprintf(stdout,"AD4: 0x%02X\n",by);
   fprintf(stdout,"\n");

   WritePWM1(175);
//   WritePWM2(50);
   WritePR2(127);
   WritePWM2(100);

/*
   for(pwm=50; pwm<127; pwm++)
    {
     WritePWM2(pwm);
     Sleep(250);
    }
*/
//   WritePWM2(0);

  }
 else
  {
   fprintf(stdout,"HID-Device not found !\n");
  }

 HIDCleanup();
 return 0;
}

//#########################################
void usage()
//#########################################
{
 fprintf(stdout,"\n \n");
 fprintf(stdout," \n\n");
}

